<? if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) die();

/**
 * @var array $arParams
 * @var array $templateData
 * @var string $templateFolder
 * @var CatalogSectionComponent $component
 */

global $APPLICATION;

if (isset($templateData['TEMPLATE_THEME']))
{
	$APPLICATION->SetAdditionalCSS($templateFolder.'/themes/'.$templateData['TEMPLATE_THEME'].'/style.css');
	$APPLICATION->SetAdditionalCSS('/bitrix/css/main/themes/'.$templateData['TEMPLATE_THEME'].'/style.css', true);
}

if (!empty($templateData['TEMPLATE_LIBRARY']))
{
	$loadCurrency = false;
	if (!empty($templateData['CURRENCIES']))
	{
		$loadCurrency = \Bitrix\Main\Loader::includeModule('currency');
	}

	CJSCore::Init($templateData['TEMPLATE_LIBRARY']);

	if ($loadCurrency)
	{
		?>
		<script>
			BX.Currency.setCurrencies(<?=$templateData['CURRENCIES']?>);
		</script>
		<?
	}
}

//	lazy load and big data json answers
$request = \Bitrix\Main\Context::getCurrent()->getRequest();
if ($request->isAjaxRequest() && ($request->get('action') === 'showMore' || $request->get('action') === 'deferredLoad'))
{
	$content = ob_get_contents();
	ob_end_clean();

	list(, $itemsContainer) = explode('<!-- items-container -->', $content);
	list(, $paginationContainer) = explode('<!-- pagination-container -->', $content);
	list(, $epilogue) = explode('<!-- component-end -->', $content);

	if ($arParams['AJAX_MODE'] === 'Y')
	{
		$component->prepareLinks($paginationContainer);
	}

	$component::sendJsonAnswer(array(
		'items' => $itemsContainer,
		'pagination' => $paginationContainer,
		'epilogue' => $epilogue,
	));
}

$arFilter = Array('IBLOCK_ID'=>$arParams['IBLOCK_ID'],'ID'=> $arResult["ID"],  "ACTIVE"=>"Y", "GLOBAL_ACTIVE"=>"Y", "SECTION_ACTIVE" => "Y");
$db_list = CIBlockSection::GetList(Array("timestamp_x"=>"DESC"), $arFilter, false, Array("UF_SEO_H1"));
if($uf_value = $db_list->GetNext()):
	$SEO_H1=$uf_value["UF_SEO_H1"]; //подменяем ссылку и используем её в дальнейшем
	if($SEO_H1) {
		 global $APPLICATION;
		 $APPLICATION->SetPageProperty("title_seo", $SEO_H1);
		// $APPLICATION->SetTitle($SEO_H1);
		 //$t = $APPLICATION->GetPageProperty('title');
		// print_r($t);

		// $tt = CMain::GetTitle();
		// print_r($tt);
	}
	///print_r($SEO_H1);//echo "111";
endif;

if($arResult["PAGEN"] > $arResult["NavPageCount"]){
	if (Bitrix\Main\Loader::includeModule("iblock"))
	{
		Bitrix\Iblock\Component\Tools::process404(
			 'Страница не существует'
			 ,true
			 ,true
			 ,true
			 ,'/404.php'
		  );
	}
	else
	{
		LocalRedirect('/404.php');
	};
	die();
 }

 global $USER;
 global $APPLICATION;
	$page = $APPLICATION->GetCurPage();
	if($page ==="/products/"){
		$description = $APPLICATION->GetPageProperty("description");
		$APPLICATION->SetPageProperty("description_products", $description);	
	}
	
